package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF5F4 extends MwfRequest<MWF5F4, MWF5F4Response> {

    @Parameter(name = "AppKey")
    MWF5F4 appKey(Long appKey);
    @Parameter(name = "DigitalSignatureIdentity")
    MWF5F4 digitalSignatureIdentity(String digitalSignatureIdentity);
    @Parameter(name = "GeneratedDocumentID")
    MWF5F4 generatedDocumentID(String generatedDocumentID);
    @Parameter(name = "InstPtKey")
    MWF5F4 instPtKey(Long instPtKey);
    @Parameter(name = "ProdPkgkey")
    MWF5F4 prodPkgkey(String prodPkgkey);
    @Parameter(name = "ProductClass")
    MWF5F4 productClass(String productClass);
    @Parameter(name = "SignatureID")
    MWF5F4 signatureID(String signatureID);
}
